camel-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jon Anstey" <jans...@gmail.com>
Subject Re: failed to run jms, spring, and spring-xquery example as well
Date Thu, 26 Jun 2008 01:20:49 GMT
Camel 1.3.0 depends on ActiveMQ 5.0.0 and the ActiveMQ 5.0.0 release
contained a SNAPSHOT release of ActiveIO... which probably doesn't exist
anymore. Luckily, this was fixed in ActiveMQ 5.1.0 which Camel 1.4-SNAPSHOT
depends on. So, my suggestion yet again, is to use the latest SNAPSHOT build
of Camel ;-) By the way, Camel 1.4.0 should be released very soon, if you
want to wait for that.

Cheers,
Jon

On Wed, Jun 25, 2008 at 8:18 PM, Vlad Olenin <volenin@gmail.com> wrote:

> Hi,
>
> I couldn't run JMS, Spring or Spring-XQuery examples as well.. This time
> I'm
> getting the error that two dependent packages are missing:
> org.apache.activemq:activeio-core:jar:3.1-SNAPSHOT and
> org.apache.activemq:activeio-core:test-jar:tests:3.1-SNAPSHOT. I'm using
> Camel 1.3.0 Unix/Cygwin distro. Have ActiveMQ 5.1.0 setup. Running it all
> under Windows XP from within Cygwin. The trace is attached below. Thanks.
>
> Vlad
>
>
>
> Missing:
> ----------
> 1) org.apache.activemq:activeio-core:jar:3.1-SNAPSHOT
>
>  Try downloading the file manually from the project website.
>
>  Then, install it using the command:
>      mvn install:install-file -DgroupId=org.apache.activemq
> -DartifactId=active
> io-core -Dversion=3.1-SNAPSHOT -Dpackaging=jar -Dfile=/path/to/file
>
>  Alternatively, if you host your own repository you can deploy the file
> there:
>
>      mvn deploy:deploy-file -DgroupId=org.apache.activemq
> -DartifactId=activeio
> -core -Dversion=3.1-SNAPSHOT -Dpackaging=jar -Dfile=/path/to/file
> -Durl=[url] -D
> repositoryId=[id]
>
>  Path to dependency:
>        1) org.apache.camel:camel-example-jms-file:jar:1.3.0
>        2) org.apache.activemq:apache-activemq:jar:5.0.0
>        3) org.apache.activemq:activeio-core:jar:3.1-SNAPSHOT
>
> 2) org.apache.activemq:activeio-core:test-jar:tests:3.1-SNAPSHOT
>
>  Try downloading the file manually from the project website.
>
>  Then, install it using the command:
>      mvn install:install-file -DgroupId=org.apache.activemq
> -DartifactId=active
> io-core -Dversion=3.1-SNAPSHOT -Dclassifier=tests -Dpackaging=test-jar
> -Dfile=/p
> ath/to/file
>
>  Alternatively, if you host your own repository you can deploy the file
> there:
>
>      mvn deploy:deploy-file -DgroupId=org.apache.activemq
> -DartifactId=activeio
> -core -Dversion=3.1-SNAPSHOT -Dclassifier=tests -Dpackaging=test-jar
> -Dfile=/pat
> h/to/file -Durl=[url] -DrepositoryId=[id]
>
>  Path to dependency:
>        1) org.apache.camel:camel-example-jms-file:jar:1.3.0
>        2) org.apache.activemq:apache-activemq:jar:5.0.0
>        3) org.apache.activemq:activemq-core:jar:5.0.0
>        4) org.apache.activemq:activeio-core:test-jar:tests:3.1-SNAPSHOT
>
> ----------
> 2 required artifacts are missing.
>
> for artifact:
>  org.apache.camel:camel-example-jms-file:jar:1.3.0
>
> from the specified remote repositories:
>  repo1.maven (http://repo1.maven.org/maven2/),
>  central (http://repo1.maven.org/maven2),
>  apache.m2.repo (http://people.apache.org/repo/m2-ibiblio-rsync-repository
> ),
>  apache.snapshots (http://people.apache.org/repo/m2-snapshot-repository),
>  uface.m2 (http://uface.googlecode.com/svn/maven/),
>  open.iona.m2 (http://repo.open.iona.com/maven2),
>  apache.incubating.releases (
> http://people.apache.org/repo/m2-incubating-reposi
> tory)
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message